Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface ContentAgentContainerLocationType

All Known Implementing Classes:
  ContentAgentContainerLocationTypeImpl

    public interface ContentAgentContainerLocationType

Used to encapsulate one piece of content with all the known information about it, including (optionally) agent and location information for each container associated with the content. Java content class for contentAgentContainerLocationType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 226)

     <complexType name="contentAgentContainerLocationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="title" type="{http://infoml.org/infomlFile}simpleRichTextType" minOccurs="0"/>
             <element name="content" type="{http://infoml.org/infomlFile}richTextWithExactType" minOccurs="0"/>
             <element name="pointers" type="{http://infoml.org/infomlFile}extendedPointersType" minOccurs="0"/>
             <element name="contentFragments" type="{http://infoml.org/infomlFile}multipleLinesType" minOccurs="0"/>
             <element name="notes1" type="{http://infoml.org/infomlFile}richTextType" minOccurs="0"/>
             <element name="notes2" type="{http://infoml.org/infomlFile}richTextType" minOccurs="0"/>
             <choice minOccurs="0">
               <element name="source" type="{http://infoml.org/infomlFile}agentContainerLocationType"/>
               <element name="extendedSource" type="{http://infoml.org/infomlFile}extendedSourceType"/>
             </choice>
             <element name="referenceAppendedText" type="{http://infoml.org/infomlFile}richTextType" minOccurs="0"/>
             <element name="userCreatedCitation" type="{http://infoml.org/infomlFile}richTextType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`RichTextWithExactType` | `getContent()` Gets the value of the content property.
`MultipleLinesType` | `getContentFragments()` Gets the value of the contentFragments property.
`ExtendedSourceType` | `getExtendedSource()` Gets the value of the extendedSource property.
`RichTextType` | `getNotes1()` Gets the value of the notes1 property.
`RichTextType` | `getNotes2()` Gets the value of the notes2 property.
`ExtendedPointersType` | `getPointers()` Gets the value of the pointers property.
`RichTextType` | `getReferenceAppendedText()` Gets the value of the referenceAppendedText property.
`AgentContainerLocationType` | `getSource()` Gets the value of the source property.
`SimpleRichTextType` | `getTitle()` Gets the value of the title property.
`RichTextType` | `getUserCreatedCitation()` Gets the value of the userCreatedCitation property.
`void` | `setContent(RichTextWithExactType value)` Sets the value of the content property.
`void` | `setContentFragments(MultipleLinesType value)` Sets the value of the contentFragments property.
`void` | `setExtendedSource(ExtendedSourceType value)` Sets the value of the extendedSource property.
`void` | `setNotes1(RichTextType value)` Sets the value of the notes1 property.
`void` | `setNotes2(RichTextType value)` Sets the value of the notes2 property.
`void` | `setPointers(ExtendedPointersType value)` Sets the value of the pointers property.
`void` | `setReferenceAppendedText(RichTextType value)` Sets the value of the referenceAppendedText property.
`void` | `setSource(AgentContainerLocationType value)` Sets the value of the source property.
`void` | `setTitle(SimpleRichTextType value)` Sets the value of the title property.
`void` | `setUserCreatedCitation(RichTextType value)` Sets the value of the userCreatedCitation property.

Method Detail

### getSource

    AgentContainerLocationType getSource()

  Gets the value of the source property.

  Returns:
    possible object is `AgentContainerLocationType`

### setSource

    void setSource(AgentContainerLocationType value)

  Sets the value of the source property.

  Parameters:
    `value` - allowed object is `AgentContainerLocationType`

### getContentFragments

    MultipleLinesType getContentFragments()

  Gets the value of the contentFragments property.

  Returns:
    possible object is `MultipleLinesType`

### setContentFragments

    void setContentFragments(MultipleLinesType value)

  Sets the value of the contentFragments property.

  Parameters:
    `value` - allowed object is `MultipleLinesType`

### getReferenceAppendedText

    RichTextType getReferenceAppendedText()

  Gets the value of the referenceAppendedText property.

  Returns:
    possible object is `RichTextType`

### setReferenceAppendedText

    void setReferenceAppendedText(RichTextType value)

  Sets the value of the referenceAppendedText property.

  Parameters:
    `value` - allowed object is `RichTextType`

### getUserCreatedCitation

    RichTextType getUserCreatedCitation()

  Gets the value of the userCreatedCitation property.

  Returns:
    possible object is `RichTextType`

### setUserCreatedCitation

    void setUserCreatedCitation(RichTextType value)

  Sets the value of the userCreatedCitation property.

  Parameters:
    `value` - allowed object is `RichTextType`

### getNotes1

    RichTextType getNotes1()

  Gets the value of the notes1 property.

  Returns:
    possible object is `RichTextType`

### setNotes1

    void setNotes1(RichTextType value)

  Sets the value of the notes1 property.

  Parameters:
    `value` - allowed object is `RichTextType`

### getNotes2

    RichTextType getNotes2()

  Gets the value of the notes2 property.

  Returns:
    possible object is `RichTextType`

### setNotes2

    void setNotes2(RichTextType value)

  Sets the value of the notes2 property.

  Parameters:
    `value` - allowed object is `RichTextType`

### getPointers

    ExtendedPointersType getPointers()

  Gets the value of the pointers property.

  Returns:
    possible object is `ExtendedPointersType`

### setPointers

    void setPointers(ExtendedPointersType value)

  Sets the value of the pointers property.

  Parameters:
    `value` - allowed object is `ExtendedPointersType`

### getContent

    RichTextWithExactType getContent()

  Gets the value of the content property.

  Returns:
    possible object is `RichTextWithExactType`

### setContent

    void setContent(RichTextWithExactType value)

  Sets the value of the content property.

  Parameters:
    `value` - allowed object is `RichTextWithExactType`

### getExtendedSource

    ExtendedSourceType getExtendedSource()

  Gets the value of the extendedSource property.

  Returns:
    possible object is `ExtendedSourceType`

### setExtendedSource

    void setExtendedSource(ExtendedSourceType value)

  Sets the value of the extendedSource property.

  Parameters:
    `value` - allowed object is `ExtendedSourceType`

### getTitle

    SimpleRichTextType getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `SimpleRichTextType`

### setTitle

    void setTitle(SimpleRichTextType value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `SimpleRichTextType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD